package com.adealink.weparty.order.center.comp

import androidx.lifecycle.LifecycleOwner
import com.adealink.frame.router.Router
import com.adealink.frame.util.onClick
import com.adealink.weparty.commonui.BaseViewComponent
import com.adealink.weparty.module.order.Order
import com.adealink.weparty.order.databinding.LayoutOrderCenterRecordBinding

class OrderCenterRecordComp(
    lifecycleOwner: LifecycleOwner,
    val binding: LayoutOrderCenterRecordBinding
) : BaseViewComponent(lifecycleOwner) {

    override fun initViews() {
        super.initViews()
        binding.root.onClick {
            goOrderList()
        }

    }

    private fun goOrderList() {
        val act = activity ?: return
        Router.build(act, Order.PlaymateList.PATH).start()
    }

}